#!/usr/bin/perl

BEGIN { push (@INC,'/var/apache/cgi-bin') ;};

use CGI;
use DBI;          # database module
use dbh;
#use Date::Format; # to convert the time in seconds to a string
use strict;


my $packet_id;
my $q = new CGI;
my $sid;
my $cid;
my $hostname;
my @sids=();
my %cols;

print $q->header("text/html");
print $q->start_html("Snort DB");

my $dbh = dbh::OpenDB();

my $sql="SELECT sid, hostname FROM sensor";
my $sth=$dbh->prepare($sql);
$sth->execute();

while (($sid, $hostname)=$sth->fetchrow_array())
{
    $sql="SELECT min(cid),max(cid),count(cid) FROM event where sid=$sid";
    my $sth2=$dbh->prepare($sql);
    $sth2->execute();
    (my $min, my $max, my $count)=$sth2->fetchrow_array();
    $min=0 if !defined $min;
    $max=0 if !defined $max;
    $sth2->finish();
    $hostname .= " (" . "min: " . $min . ", max: " . $max . ", total: " 
	. $count . ")";
    $cols{$sid}=$hostname;
    push @sids, $sid;
}
$sth->finish();


print $q->h1("Choose a sensor and an alert number");
print $q->start_form( -method=>"GET", -action=>'db-cgi.pl');
print $q->hr;
print $q->strong("Sensor");
print $q->br;
print $q->radio_group(-linebreak=>'1',-name=>'sid', -value=>\@sids, -labels=>\%cols); 
print $q->hr;
print $q->strong("Alert number: ");
#print $q->br;
print $q->textfield(-name=>'cid',-size=>'10');
print $q->hr;
print $q->submit(-name=>"Get packet");
print $q->end_form();
print $q->end_html();
$dbh->disconnect();

sub Exit
{
    (my $dbh, my $message) = @_;
    print $q->p("$message");
    $dbh->disconnect();
    print $q->end_html;
    exit;
}
