#include "FLoPconfig.h"
#undef VERSION
#undef PACKAGE
#ifdef HAVE_STDINT_H
#include <stdint.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif

#ifndef HAVE_U_INT8_T 
#define u_int8_t  uint8_t
#endif
#ifndef HAVE_U_INT16_T
#define u_int16_t uint16_t
#endif
#ifndef HAVE_U_INT32_T
#define u_int32_t uint32_t
#endif

#define DG_EQUAL 0
#define DG_DIFFERENT 1
#define DG_LITTLE_ENDIAN 0
#define DG_BIG_ENDIAN 1

void convert16(u_int16_t *Conv, int endian);
void convert32(u_int32_t *Conv, int endian);
char CheckEndian();

