#!/usr/bin/perl

use DBI;


open(CLASSFILE,"<classification.config") or die "Can't open CLASSFILE: $!";
my $classnr=0;
while (<CLASSFILE>) {
  if (m/^config/) {
     chop();
     $class=(split(/:/,$_))[1] ;
     ($classshort[$classnr],$classdesc[$classnr],$prio[$classnr])=(split(/,/,$class))[0,1,2];
     $classnr++;
 }
}

my $sql;
my $sth;
my $dbh = DBI->connect("DBI:Pg:dbname=snort", "snort" , "" ,{ RaiseError => 1, AutoCommit => 1 });
for $i (0..$classnr-1) 
{
   #print "$i: $classshort[$i] -> $classdesc[$i], Priority: $prio[$i] \n";

   $sql="SELECT sig_class_name FROM sig_class WHERE sig_class_id = $i";
   $sth=$dbh->prepare($sql);
   $sth->execute();
   $sig_class_name=$sth->fetchrow_array();
   $sth->finish();

   if (length ($sig_class_name)==0)
   {
      $sql="INSERT INTO sig_class (sig_class_id, sig_class_name) VALUES ( $i, '$classdesc[$i]' )";
      $sth=$dbh->prepare($sql);
      $sth->execute();
      $sth->finish();
   }
   elsif ($sig_class_name ne $classdesc[$i])
  {
     $sql="UPDATE sig_class SET sig_class_name='$classdesc[$i]' WHERE sig_class_id = $i";
      $sth=$dbh->prepare($sql);
      $sth->execute();
      $sth->finish();
  }
}
$dbh->disconnect();
