#ifdef DEBUGFLOP
#define DEBUGF(x)  x
#ifndef HAVE_U_INT8_T 
#define u_int8_t  uint8_t
#endif
#ifndef HAVE_U_INT16_T
#define u_int16_t uint16_t
#endif
#ifndef HAVE_U_INT32_T
#define u_int32_t uint32_t
#endif
void DebugOutput(u_int8_t area, u_int8_t level, char *format,...);
#define DEBUG_MAIN     0
// sockserv SendToServer
#define DEBUG_STS      1
// sockserv -> ReceiveFromSocket
#define DEBUG_RFS      2
#define DEBUG_DROP     3
// sockserv,alert,drop -> OpenSocket, servsock -> OpenServer
#define DEBUG_OS       4
// sockserv
#define DEBUG_CMDLINE  5
// sockserv,alert,drop -> ConnectServer
#define DEBUG_CS       6
// sockserv -> Connect, wrapper around ConnectServer
#define DEBUG_CONNECT  7
// OpenDropSocket
#define DEBUG_ODS      8
// servsock -> WriteToSocket
#define DEBUG_WTS      9
// servsock -> ReceiveFromClient
#define DEBUG_RFC     10
#define DEBUG_READCFG 11
#define DEBUG_DB      12
#define DEBUG_SIGNAL   13
// servsock -> OpenAlertSocket
#define DEBUG_OAS     14
// servsock -> ReadData
#define DEBUG_RD      15
// servsock -> DumpData
#define DEBUG_DD      16
#define DEBUG_ENDIAN  17
#define DEBUG_UTIL    18
// alert,drop -> Mail
#define DEBUG_MAIL    19
// Last free Debug Value
#define DEBUG_MAX     20
#else
#define DEBUGF(x) 
#endif
